### Method

# RB Application link_shared_menus

#### Declaration [src]

    void
    rb_application_link_shared_menus (
      RBApplication* app,
      GMenu* menu
    )

#### Description [src]

Processes shared menu links in the given menu. Menu links take the form of items with “rb-menu-link” or “rb-plugin-menu-link” and “rb-menu-link-type” attributes. “rb-menu-link” specifies the name of a shared menu to link in, “rb-plugin-menu-link” specifies the name of a plugin menu to link in, “rb-menu-link-type” specifies the link type, either “section” or “submenu”. A link item must have “rb-menu-link-type” and one of “rb-menu-link” or “rb-plugin-menu-link”.

#### Parameters

`menu`

  Type: `GMenu`

  A `GMenu` to process.

  The data is owned by the caller of the method.